diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/traced-value.h ns-3.44/src/core/model/traced-value.h
--- ns-3.43/src/core/model/traced-value.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/traced-value.h	2025-03-09 16:55:49.363371100 -0700
@@ -16,8 +16,8 @@
 #include "uinteger.h"
 
 /**
- * \file
- * \ingroup tracing
+ * @file
+ * @ingroup tracing
  * ns3::TracedValue declaration and template implementation.
  */
 
@@ -25,12 +25,12 @@
  * Logging macro for TracedValue.
  *
  * No NS_LOG_... here.  When logging is needed use something like
- * \code
+ * @code
  *   #define TRACED_VALUE_DEBUG(x)                  \
  *     std::cout << __FILE__ << ":" << __FUNCTION__    \
  *               << "(" << __LINE__ << ") "           \
  *               << x << std::endl
- * \endcode
+ * @endcode
  */
 #define TRACED_VALUE_DEBUG(x)
 
@@ -38,9 +38,9 @@
 {
 
 /**
- * \ingroup core
- * \defgroup tracing Tracing
- * \brief Publish/subscribe tools to collect and report changes to any
+ * @ingroup core
+ * @defgroup tracing Tracing
+ * @brief Publish/subscribe tools to collect and report changes to any
  *        values used by the various model components.
  *
  * Additional callback function signatures defined elsewhere:
@@ -51,22 +51,22 @@
  */
 
 /**
- * \ingroup tracing
+ * @ingroup tracing
  *
- * \brief TracedValue Callback function types.
+ * @brief TracedValue Callback function types.
  */
 namespace TracedValueCallback
 {
 
 /**
- * \name TracedValueCallback Signatures for POD.
+ * @name TracedValueCallback Signatures for POD.
  * @{
  */
 /**
  *  TracedValue Callback signature for POD.
  * @{
- * \param [in] oldValue original value of the traced variable
- * \param [in] newValue new value of the traced variable
+ * @param [in] oldValue original value of the traced variable
+ * @param [in] newValue new value of the traced variable
  */
 typedef void (*Bool)(bool oldValue, bool newValue);
 typedef void (*Int8)(int8_t oldValue, int8_t newValue);
@@ -86,9 +86,9 @@
 } // namespace TracedValueCallback
 
 /**
- * \ingroup tracing
+ * @ingroup tracing
  *
- * \brief Trace classes with value semantics
+ * @brief Trace classes with value semantics
  *
  * If you want to trace the change of value of a class or
  * primitive type which have value semantics (they _must_
@@ -98,7 +98,7 @@
  * and will define Connect/DisconnectWithoutContext methods to work
  * with MakeTraceSourceAccessor.
  *
- * \tparam T \explicit The type of the underlying value being traced.
+ * @tparam T \explicit The type of the underlying value being traced.
  */
 template <typename T>
 class TracedValue
@@ -112,7 +112,7 @@
 
     /**
      * Copy constructor.
-     * \param [in] o The value to copy.
+     * @param [in] o The value to copy.
      */
     TracedValue(const TracedValue& o)
         : m_v(o.m_v)
@@ -121,7 +121,7 @@
 
     /**
      * Construct from an explicit variable.
-     * \param [in] v The variable to trace.
+     * @param [in] v The variable to trace.
      */
     TracedValue(const T& v)
         : m_v(v)
@@ -130,7 +130,7 @@
 
     /**
      * Cast to the underlying type.
-     * \returns The underlying value.
+     * @returns The underlying value.
      */
     operator T() const
     {
@@ -139,8 +139,8 @@
 
     /**
      * Assignment.
-     * \param [in] o The value to assign to this instance.
-     * \return This TracedValue.
+     * @param [in] o The value to assign to this instance.
+     * @return This TracedValue.
      */
     TracedValue& operator=(const TracedValue& o)
     {
@@ -151,8 +151,8 @@
 
     /**
      * Copy from a TracedValue of a compatible type.
-     * \tparam U \deduced The underlying type of the other TracedValue.
-     * \param [in] other The other TracedValuet to copy.
+     * @tparam U \deduced The underlying type of the other TracedValue.
+     * @param [in] other The other TracedValuet to copy.
      */
     template <typename U>
     TracedValue(const TracedValue<U>& other)
@@ -162,8 +162,8 @@
 
     /**
      * Copy from a variable type compatible with this underlying type.
-     * \tparam U \deduced Type of the other variable.
-     * \param [in] other The other variable to copy.
+     * @tparam U \deduced Type of the other variable.
+     * @param [in] other The other variable to copy.
      */
     template <typename U>
     TracedValue(const U& other)
@@ -174,7 +174,7 @@
     /**
      * Connect a Callback (without context.)
      *
-     * \param [in] cb The callback to connect.
+     * @param [in] cb The callback to connect.
      */
     void ConnectWithoutContext(const CallbackBase& cb)
     {
@@ -187,8 +187,8 @@
      * The context string will be provided as the first argument to the
      * Callback function.
      *
-     * \param [in] cb The Callback to connect to the target trace source.
-     * \param [in] path The context to bind to the user callback.
+     * @param [in] cb The Callback to connect to the target trace source.
+     * @param [in] path The context to bind to the user callback.
      */
     void Connect(const CallbackBase& cb, std::string path)
     {
@@ -198,7 +198,7 @@
     /**
      * Disconnect a Callback which was connected without context.
      *
-     * \param [in] cb The Callback to disconnect.
+     * @param [in] cb The Callback to disconnect.
      */
     void DisconnectWithoutContext(const CallbackBase& cb)
     {
@@ -208,8 +208,8 @@
     /**
      * Disconnect a Callback which was connected with context.
      *
-     * \param [in] cb The Callback to disconnect.
-     * \param [in] path The context to bind to the user callback.
+     * @param [in] cb The Callback to disconnect.
+     * @param [in] path The context to bind to the user callback.
      */
     void Disconnect(const CallbackBase& cb, std::string path)
     {
@@ -220,7 +220,7 @@
      * Set the value of the underlying variable.
      *
      * If the new value differs from the old, the Callback will be invoked.
-     * \param [in] v The new value.
+     * @param [in] v The new value.
      */
     void Set(const T& v)
     {
@@ -233,7 +233,7 @@
 
     /**
      * Get the underlying value.
-     * \returns The value.
+     * @returns The value.
      */
     T Get() const
     {
@@ -244,7 +244,7 @@
      * Pre/post- increment/decrement operator.
      *
      * This invokes the Callback.
-     * \returns This TracedValue.
+     * @returns This TracedValue.
      */
     /**@{*/
     TracedValue& operator++()
@@ -299,7 +299,7 @@
  ********************************************************************/
 
 /**
- * \ingroup tracing
+ * @ingroup tracing
  */
 /**@{*/
 /**
@@ -307,10 +307,10 @@
  *
  * The underlying value will be written to the stream.
  *
- * \tparam T \deduced The underlying type of the TracedValue.
- * \param [in,out] os The output stream.
- * \param [in] rhs The TracedValue to stream.
- * \returns The stream.
+ * @tparam T \deduced The underlying type of the TracedValue.
+ * @param [in,out] os The output stream.
+ * @param [in] rhs The TracedValue to stream.
+ * @returns The stream.
  */
 template <typename T>
 std::ostream&
@@ -321,11 +321,11 @@
 
 /**
  * Boolean operator for TracedValue.
- * \tparam T \deduced The underlying type held by the left-hand argument.
- * \tparam U \deduced The underlying type held by the right-hand argument.
- * \param [in] lhs The left-hand argument.
- * \param [in] rhs The right-hand argument.
- * \returns The Boolean result of comparing the underlying values.
+ * @tparam T \deduced The underlying type held by the left-hand argument.
+ * @tparam U \deduced The underlying type held by the right-hand argument.
+ * @param [in] lhs The left-hand argument.
+ * @param [in] rhs The right-hand argument.
+ * @returns The Boolean result of comparing the underlying values.
  */
 template <typename T, typename U>
 bool
@@ -335,7 +335,7 @@
     return lhs.Get() == rhs.Get();
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator==(const TracedValue<T>& lhs, const U& rhs)
@@ -344,7 +344,7 @@
     return lhs.Get() == rhs;
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator==(const U& lhs, const TracedValue<T>& rhs)
@@ -353,7 +353,7 @@
     return lhs == rhs.Get();
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator!=(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -362,7 +362,7 @@
     return lhs.Get() != rhs.Get();
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator!=(const TracedValue<T>& lhs, const U& rhs)
@@ -371,7 +371,7 @@
     return lhs.Get() != rhs;
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator!=(const U& lhs, const TracedValue<T>& rhs)
@@ -380,7 +380,7 @@
     return lhs != rhs.Get();
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator<=(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -389,7 +389,7 @@
     return lhs.Get() <= rhs.Get();
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator<=(const TracedValue<T>& lhs, const U& rhs)
@@ -398,7 +398,7 @@
     return lhs.Get() <= rhs;
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator<=(const U& lhs, const TracedValue<T>& rhs)
@@ -407,7 +407,7 @@
     return lhs <= rhs.Get();
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator>=(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -416,7 +416,7 @@
     return lhs.Get() >= rhs.Get();
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator>=(const TracedValue<T>& lhs, const U& rhs)
@@ -425,7 +425,7 @@
     return lhs.Get() >= rhs;
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator>=(const U& lhs, const TracedValue<T>& rhs)
@@ -434,7 +434,7 @@
     return lhs >= rhs.Get();
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator<(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -443,7 +443,7 @@
     return lhs.Get() < rhs.Get();
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator<(const TracedValue<T>& lhs, const U& rhs)
@@ -452,7 +452,7 @@
     return lhs.Get() < rhs;
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator<(const U& lhs, const TracedValue<T>& rhs)
@@ -461,7 +461,7 @@
     return lhs < rhs.Get();
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator>(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -470,7 +470,7 @@
     return lhs.Get() > rhs.Get();
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator>(const TracedValue<T>& lhs, const U& rhs)
@@ -479,7 +479,7 @@
     return lhs.Get() > rhs;
 }
 
-/** \copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator>(const U& lhs, const TracedValue<T>& rhs)
@@ -494,11 +494,11 @@
  * This returns the arithmetic result in a new TracedValue,
  * which has no Callback connected.
  *
- * \tparam T \deduced The underlying type held by the left-hand argument.
- * \tparam U \deduced The underlying type held by the right-hand argument.
- * \param [in] lhs The left-hand argument.
- * \param [in] rhs The right-hand argument.
- * \returns The result of doing the operator on
+ * @tparam T \deduced The underlying type held by the left-hand argument.
+ * @tparam U \deduced The underlying type held by the right-hand argument.
+ * @param [in] lhs The left-hand argument.
+ * @param [in] rhs The right-hand argument.
+ * @returns The result of doing the operator on
  *     the underlying values.
  */
 template <typename T, typename U>
@@ -510,7 +510,7 @@
     return TracedValue<decltype(lhs.Get() + rhs.Get())>(lhs.Get() + rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator+(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() + rhs)>
@@ -519,7 +519,7 @@
     return TracedValue<decltype(lhs.Get() + rhs)>(lhs.Get() + rhs);
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator+(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs + rhs.Get())>
@@ -528,7 +528,7 @@
     return TracedValue<decltype(lhs + rhs.Get())>(lhs + rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator-(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -538,7 +538,7 @@
     return TracedValue<decltype(lhs.Get() - rhs.Get())>(lhs.Get() - rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator-(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() - rhs)>
@@ -547,7 +547,7 @@
     return TracedValue<decltype(lhs.Get() - rhs)>(lhs.Get() - rhs);
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator-(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs - rhs.Get())>
@@ -556,7 +556,7 @@
     return TracedValue<decltype(lhs - rhs.Get())>(lhs - rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator*(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -566,7 +566,7 @@
     return TracedValue<decltype(lhs.Get() * rhs.Get())>(lhs.Get() * rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator*(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() * rhs)>
@@ -575,7 +575,7 @@
     return TracedValue<decltype(lhs.Get() * rhs)>(lhs.Get() * rhs);
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator*(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs + rhs.Get())>
@@ -584,7 +584,7 @@
     return TracedValue<decltype(lhs + rhs.Get())>(lhs * rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator/(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -594,7 +594,7 @@
     return TracedValue<decltype(lhs.Get() / rhs.Get())>(lhs.Get() / rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator/(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() / rhs)>
@@ -603,7 +603,7 @@
     return TracedValue<decltype(lhs.Get() / rhs)>(lhs.Get() / rhs);
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator/(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs / rhs.Get())>
@@ -612,7 +612,7 @@
     return TracedValue<decltype(lhs / rhs.Get())>(lhs / rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator%(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -622,7 +622,7 @@
     return TracedValue<decltype(lhs.Get() % rhs.Get())>(lhs.Get() % rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator%(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() % rhs)>
@@ -631,7 +631,7 @@
     return TracedValue<decltype(lhs.Get() % rhs)>(lhs.Get() % rhs);
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator%(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs % rhs.Get())>
@@ -640,7 +640,7 @@
     return TracedValue<decltype(lhs % rhs.Get())>(lhs % rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator^(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -650,7 +650,7 @@
     return TracedValue<decltype(lhs.Get() ^ rhs.Get())>(lhs.Get() ^ rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator^(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() ^ rhs)>
@@ -659,7 +659,7 @@
     return TracedValue<decltype(lhs.Get() ^ rhs)>(lhs.Get() ^ rhs);
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator^(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs ^ rhs.Get())>
@@ -668,7 +668,7 @@
     return TracedValue<decltype(lhs ^ rhs.Get())>(lhs ^ rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator|(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -678,7 +678,7 @@
     return TracedValue<decltype(lhs.Get() | rhs.Get())>(lhs.Get() | rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator|(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() | rhs)>
@@ -687,7 +687,7 @@
     return TracedValue<decltype(lhs.Get() | rhs)>(lhs.Get() | rhs);
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator|(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs | rhs.Get())>
@@ -696,7 +696,7 @@
     return TracedValue<decltype(lhs | rhs.Get())>(lhs | rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator&(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -706,7 +706,7 @@
     return TracedValue<decltype(lhs.Get() & rhs.Get())>(lhs.Get() & rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator&(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() & rhs)>
@@ -715,7 +715,7 @@
     return TracedValue<decltype(lhs.Get() & rhs)>(lhs.Get() & rhs);
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator&(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs & rhs.Get())>
@@ -724,7 +724,7 @@
     return TracedValue<decltype(lhs & rhs.Get())>(lhs & rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator<<(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -734,7 +734,7 @@
     return TracedValue<decltype(lhs.Get() << rhs.Get())>(lhs.Get() << rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator<<(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() << rhs)>
@@ -743,7 +743,7 @@
     return TracedValue<decltype(lhs.Get() << rhs)>(lhs.Get() << rhs);
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator<<(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs << rhs.Get())>
@@ -752,7 +752,7 @@
     return TracedValue<decltype(lhs << rhs.Get())>(lhs << rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator>>(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -762,7 +762,7 @@
     return TracedValue<decltype(lhs.Get() >> rhs.Get())>(lhs.Get() >> rhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator>>(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() >> rhs)>
@@ -771,7 +771,7 @@
     return TracedValue<decltype(lhs.Get() >> rhs)>(lhs.Get() >> rhs);
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator>>(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs >> rhs.Get())>
@@ -787,11 +787,11 @@
  * is assigned to the \c lhs TracedValue.  If the new value
  * is different, the Callback will be invoked.
  *
- * \tparam T \deduced The underlying type held by the left-hand argument.
- * \tparam U \deduced The underlying type held by the right-hand argument.
- * \param [in] lhs The left-hand argument.
- * \param [in] rhs The right-hand argument.
- * \returns The result of doing the operator on
+ * @tparam T \deduced The underlying type held by the left-hand argument.
+ * @tparam U \deduced The underlying type held by the right-hand argument.
+ * @param [in] lhs The left-hand argument.
+ * @param [in] rhs The right-hand argument.
+ * @returns The result of doing the operator on
  *     the underlying values.
  */
 template <typename T, typename U>
@@ -805,7 +805,7 @@
     return lhs;
 }
 
-/** \copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
+/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator-=(TracedValue<T>& lhs, const U& rhs)
@@ -817,7 +817,7 @@
     return lhs;
 }
 
-/** \copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
+/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator*=(TracedValue<T>& lhs, const U& rhs)
@@ -829,7 +829,7 @@
     return lhs;
 }
 
-/** \copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
+/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator/=(TracedValue<T>& lhs, const U& rhs)
@@ -841,7 +841,7 @@
     return lhs;
 }
 
-/** \copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
+/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator%=(TracedValue<T>& lhs, const U& rhs)
@@ -853,7 +853,7 @@
     return lhs;
 }
 
-/** \copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
+/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator<<=(TracedValue<T>& lhs, const U& rhs)
@@ -865,7 +865,7 @@
     return lhs;
 }
 
-/** \copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
+/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator>>=(TracedValue<T>& lhs, const U& rhs)
@@ -877,7 +877,7 @@
     return lhs;
 }
 
-/** \copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
+/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator&=(TracedValue<T>& lhs, const U& rhs)
@@ -889,7 +889,7 @@
     return lhs;
 }
 
-/** \copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
+/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator|=(TracedValue<T>& lhs, const U& rhs)
@@ -901,7 +901,7 @@
     return lhs;
 }
 
-/** \copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
+/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator^=(TracedValue<T>& lhs, const U& rhs)
@@ -916,9 +916,9 @@
 /**
  * Unary arithmetic operator for TracedValue.
  *
- * \tparam T \deduced The underlying type held by the TracedValue.
- * \param [in] lhs The TracedValue.
- * \returns The result of doing the operator on
+ * @tparam T \deduced The underlying type held by the TracedValue.
+ * @param [in] lhs The TracedValue.
+ * @returns The result of doing the operator on
  *     the underlying values.
  */
 template <typename T>
@@ -929,7 +929,7 @@
     return TracedValue<T>(+lhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs) */
 template <typename T>
 TracedValue<T>
 operator-(const TracedValue<T>& lhs)
@@ -938,7 +938,7 @@
     return TracedValue<T>(-lhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs) */
 template <typename T>
 TracedValue<T>
 operator~(const TracedValue<T>& lhs)
@@ -947,7 +947,7 @@
     return TracedValue<T>(~lhs.Get());
 }
 
-/** \copydoc operator+(const TracedValue<T>&lhs) */
+/** @copydoc operator+(const TracedValue<T>&lhs) */
 template <typename T>
 TracedValue<T>
 operator!(const TracedValue<T>& lhs)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/trace-source-accessor.cc ns-3.44/src/core/model/trace-source-accessor.cc
--- ns-3.43/src/core/model/trace-source-accessor.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/trace-source-accessor.cc	2025-03-09 16:55:49.363371100 -0700
@@ -10,8 +10,8 @@
 #include "log.h"
 
 /**
- * \file
- * \ingroup tracing
+ * @file
+ * @ingroup tracing
  * ns3::TraceSourceAccessor implementation (constructor and destructor).
  */
 
